> ## Documentation Index
> Fetch the complete documentation index at: https://docs.atollhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhook deliveries

> Lists recent delivery attempts, including retry status and next retry time when pending.



## OpenAPI

````yaml /openapi.json get /api/webhooks/{id}/deliveries
openapi: 3.1.0
info:
  title: Atoll API
  version: 1.0.0
  description: >-
    REST API for Atoll project management, agent collaboration, strategy
    tracking, and integrations.
servers:
  - url: https://atollhq.com
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Organizations
  - name: Projects
  - name: Project access
  - name: Issues
  - name: Issue details
  - name: Milestones
  - name: Strategy
  - name: Members and agents
  - name: Planning
  - name: Integrations and billing
  - name: Notifications and public
paths:
  /api/webhooks/{id}/deliveries:
    get:
      tags:
        - Integrations and billing
      summary: List webhook deliveries
      description: >-
        Lists recent delivery attempts, including retry status and next retry
        time when pending.
      operationId: get_api_webhooks_id_deliveries
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: id identifier
        - name: shape
          in: query
          required: false
          schema:
            type: string
            enum:
              - envelope
              - cli
          description: Opt into the CLI-compatible list envelope response.
        - name: response_shape
          in: query
          required: false
          schema:
            type: string
            enum:
              - cli
              - envelope
          description: >-
            Alias for shape; use cli for the CLI-compatible list envelope
            response.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  deliveries:
                    type: array
                    items:
                      $ref: '#/components/schemas/WebhookDelivery'
                required:
                  - deliveries
                additionalProperties: true
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - bearerAuth: []
components:
  schemas:
    WebhookDelivery:
      type: object
      properties:
        id:
          type: string
        delivery_id:
          type: string
          description: Stable delivery id also sent as X-Atoll-Delivery-Id.
        webhook_id:
          type: string
        event_type:
          type: string
        status:
          type: string
          enum:
            - succeeded
            - failed
            - retry_pending
            - delivering
        status_code:
          type:
            - integer
            - 'null'
        response_body:
          type:
            - string
            - 'null'
        error:
          type:
            - string
            - 'null'
        delivered_at:
          type: string
          format: date-time
        next_retry_at:
          type:
            - string
            - 'null'
          format: date-time
          description: >-
            Set when status is retry_pending and the retry drain should
            reattempt the delivery.
      required:
        - id
        - delivery_id
        - webhook_id
        - event_type
        - status
        - delivered_at
      additionalProperties: true
    Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
      required:
        - error
      additionalProperties: true
  responses:
    BadRequest:
      description: Invalid request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Missing or invalid authentication
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Authenticated but not allowed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: Resource not found or not visible
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    ServerError:
      description: Unexpected server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: sk_atoll_<key>

````